Bug 466953 - (perl-NOCpulse-Utils) Review Request: perl-NOCpulse-Utils - NOCpulse utility packages
Review Request: perl-NOCpulse-Utils - NOCpulse utility packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2008-10-14 14:14 EDT by Miroslav Suchý
Modified: 2009-02-16 04:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 04:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-10-14 14:14:17 EDT
SPEC: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Utils/perl-NOCpulse-Utils.spec
SRPM: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Utils/perl-NOCpulse-Utils-1.14.7-1.src.rpm
Description:
NOCpulse provides application, network, systems and transaction monitoring,
coupled with a comprehensive reporting system including availability,
historical and trending reports in an easy-to-use browser interface.

This package provides miscellaneous utility modules.

Scratch build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=880101


$ rpmlint perl-NOCpulse-Utils-1.14.7-1.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint perl-NOCpulse-Utils-1.14.7-1.fc10.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Chris Weyl 2008-11-14 17:32:52 EST
Hmm, interesting.  Since we (Fedora) appear to be upstream, why not include a Makefile.PL setup?  This would allow this package to be consistent with the zillions of other Perl package out there, and make everyone's tasks way easier over the long run :-)

(See, e.g., Module::Install for a quick, easy, modern way to setup the standard Perl module build/test/install framework.)
Comment 2 Miroslav Suchý 2008-11-18 02:32:04 EST
Patches are welcome. 
This is not my priority right now. But certainly on some TODO list, but not sure how deep :)
Comment 4 Jason Tibbitts 2008-12-06 17:02:15 EST
Is there some reason why the included unit tests are not run?

I don't see any particular reason why building like any other Perl module would be a requirement, although it would certainly be useful.

Is there some reason %{perl_vendorlib}/NOCpulse/ isn't owned by this package?  It is normal for Perl modules to do this, and the situation is explicitly described in http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
Comment 5 Miroslav Suchý 2008-12-08 04:00:00 EST
> Is there some reason why the included unit tests are not run?
Because the tests are archaic and do not even compile. The only reason why do not delete them completely is because I want to be rewritten later and make them run again.

> Is there some reason %{perl_vendorlib}/NOCpulse/ isn't owned by this package? 
I thought there is automatic dependance on nocpulse-common, but this is one of few packages which do not require it. Will fix it.
Comment 6 Miroslav Suchý 2009-01-29 02:30:21 EST
Ough I updated spec, but forgot to update this BZ :(

Updated Spec: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Utils/perl-NOCpulse-Utils.spec
Update SRPM: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Utils/perl-NOCpulse-Utils-1.14.11-1.src.rpm
Comment 7 Marcela Mašláňová 2009-02-13 08:08:27 EST
OK source files match upstream: fc962eb4a529f467911494d9d508512f
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

The installation is ugly as was mentioned before. But this is not blocker for a review according to guidelines.
Comment 8 Miroslav Suchý 2009-02-13 08:23:01 EST
New Package CVS Request
=======================
Package Name: perl-NOCpulse-Utils
Short Description: NOCpulse utility packages
Owners: msuchy
Branches: F-10, EL-4, EL-5
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-02-13 19:44:57 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.